ELF64_GETEHDR(3)

NAME
elf64_getehdr - retrieve the ELF header for a 64-bit ELF descriptor

SYNOPSIS
#include <libelf.h>
Elf64_Ehdr *elf64_getehdr(Elf *elf);

DESCRIPTION
elf64_getehdr retrieves the ELF header for the given 64-bit ELF descriptor elf. The ELF header contains crucial metadata about the ELF file, such as the type, machine, version, entry point, program header table offset, and section header table offset. See elf(5) for more information regarding the ELF header.

PARAMETERS

elf Pointer to the ELF descriptor from which to retrieve the ELF header.

RETURN VALUE
On success, elf64_getehdr returns a pointer to the Elf64_Ehdr structure. If the ELF descriptor is invalid or not a 64-bit ELF, it returns NULL and sets an error code retrievable by elf_errno(3).

SEE ALSO
elf32_getehdr(3), elf_begin(3), elf_errno(3), elf(5)

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.